## org.plovr
Enum Handler

    java.lang.Object
      java.lang.Enum<Handler>
          org.plovr.Handler

All Implemented Interfaces:
  Serializable, Comparable<Handler>

    public enum Handler

extends Enum<Handler>

`Handler` is an enumeration of `HttpHandler`s that are registered with the `CompilationServer`.

Author:
  bolinfest@gmail.com (Michael Bolin)

Enum Constant Summary
`COMPILE`
`CONFIG`
`CSS`
`EXTERNS`
`INDEX`
`INPUT`
`LIST`
`MODULE`
`MODULES`
`SIZE`
`SOURCEMAP`
`TEST`
`VIEW`

Method Summary
`com.sun.net.httpserver.HttpHandler` `createHandlerForCompilationServer(CompilationServer server)`
`String` `getContext()`
`static Handler` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Handler[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INDEX

    public static final Handler INDEX

### CONFIG

    public static final Handler CONFIG

### COMPILE

    public static final Handler COMPILE

### CSS

    public static final Handler CSS

### EXTERNS

    public static final Handler EXTERNS

### INPUT

    public static final Handler INPUT

### LIST

    public static final Handler LIST

### MODULE

    public static final Handler MODULE

### MODULES

    public static final Handler MODULES

### SIZE

    public static final Handler SIZE

### SOURCEMAP

    public static final Handler SOURCEMAP

### TEST

    public static final Handler TEST

### VIEW

    public static final Handler VIEW

Method Detail

### values

    public static Handler[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Handler c : Handler.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Handler valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getContext

    public String getContext()

### createHandlerForCompilationServer

    public com.sun.net.httpserver.HttpHandler createHandlerForCompilationServer(CompilationServer server)